> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heyhumm.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Tool Detail



## OpenAPI

````yaml https://analyst.heyhumm.ai/api/openapi.json get /api/mcp/tool/detail
openapi: 3.1.0
info:
  title: Analyst API
  description: API for the Analyst service with proper organization-scoped permissions
  version: 1.0.0
servers:
  - url: https://analyst.heyhumm.ai
security: []
paths:
  /api/mcp/tool/detail:
    get:
      tags:
        - MCP
      summary: Get Tool Detail
      operationId: get_tool_detail_api_mcp_tool_detail_get
      parameters:
        - name: tool_name
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Tool Name
        - name: data_source_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Data Source Id
        - name: org_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Org Id
        - name: X-Organization-Id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Organization-Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/McpToolDetailResponse'
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Content
components:
  schemas:
    McpToolDetailResponse:
      properties:
        organization_id:
          type: string
          title: Organization Id
        tool_name:
          type: string
          title: Tool Name
        tool_type:
          type: string
          title: Tool Type
        description:
          type: string
          title: Description
        data_source_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Data Source Id
        input_schema:
          additionalProperties: true
          type: object
          title: Input Schema
        output_schema:
          additionalProperties: true
          type: object
          title: Output Schema
        parameters:
          anyOf:
            - items:
                $ref: '#/components/schemas/McpParameterDefinition'
              type: array
            - type: 'null'
          title: Parameters
        tables:
          anyOf:
            - items:
                $ref: '#/components/schemas/McpTableInfo'
              type: array
            - type: 'null'
          title: Tables
        schema_available:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Schema Available
        json_schema:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Json Schema
      type: object
      required:
        - organization_id
        - tool_name
        - tool_type
        - description
        - input_schema
        - output_schema
      title: McpToolDetailResponse
    ErrorResponse:
      properties:
        error:
          $ref: '#/components/schemas/ErrorDetail'
      type: object
      required:
        - error
      title: ErrorResponse
    McpParameterDefinition:
      properties:
        name:
          type: string
          title: Name
        type:
          type: string
          title: Type
        required:
          type: boolean
          title: Required
        description:
          type: string
          title: Description
      type: object
      required:
        - name
        - type
        - required
        - description
      title: McpParameterDefinition
    McpTableInfo:
      properties:
        schema_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Schema Name
        table_name:
          type: string
          title: Table Name
        qualified_name:
          type: string
          title: Qualified Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
      type: object
      required:
        - table_name
        - qualified_name
      title: McpTableInfo
    ErrorDetail:
      properties:
        code:
          type: string
          title: Code
        message:
          type: string
          title: Message
        details:
          additionalProperties: true
          type: object
          title: Details
      type: object
      required:
        - code
        - message
      title: ErrorDetail

````